# Uses of Interface
ch.qos.logback.core.net.server.ServerRunner

Packages that use ServerRunner
Package
Description
ch.qos.logback.classic.net.server
Provides a robust logging server
ch.qos.logback.core.net.server
Contains the base classes used by logback to serve logging events to remote peers.

## Uses of ServerRunner in ch.qos.logback.classic.net.server

Methods in ch.qos.logback.classic.net.server that return ServerRunner
Modifier and Type
Method
Description
`protected ServerRunner`
ServerSocketReceiver.`createServerRunner(ServerListener<ch.qos.logback.classic.net.server.RemoteAppenderClient> listener, Executor executor)`

## Uses of ServerRunner in ch.qos.logback.core.net.server

Classes in ch.qos.logback.core.net.server that implement ServerRunner
Modifier and Type
Class
Description
`class`
`ConcurrentServerRunner<T extends Client>`
A concurrent `ServerRunner`.
Methods in ch.qos.logback.core.net.server that return ServerRunner
Modifier and Type
Method
Description
`protected ServerRunner<ch.qos.logback.core.net.server.RemoteReceiverClient>`
AbstractServerSocketAppender.`createServerRunner(ServerListener<ch.qos.logback.core.net.server.RemoteReceiverClient> listener, Executor executor)`